Package wx :: Class PyTextDataObject

[frames | no frames]

## Type PyTextDataObject

      object --+
               |
      DataObject --+
                   |
    DataObjectSimple --+
                       |
          TextDataObject --+
                           |
                          PyTextDataObject

wx.PyTextDataObject is a version of `wx.TextDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class. You should derive from this class and overload `GetTextLength`, `GetText`, and `SetText` when you want to be able to provide text on demand instead of preloading it into the data object.

Method Summary
PyTextDataObject | ``__init__`(self, text)` wx.PyTextDataObject is a version of `wx.TextDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class.

Property Summary
| `thisown`: The membership flag

Class Variable Summary

Method Details

### __init__(self, text=EmptyString)
(Constructor)

wx.PyTextDataObject is a version of `wx.TextDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class. You should derive from this class and overload `GetTextLength`, `GetText`, and `SetText` when you want to be able to provide text on demand instead of preloading it into the data object.

  Parameters:
    `text`
    (type=String)

  Returns:
    PyTextDataObject
  Overrides:
    `wx.TextDataObject.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:40 2007 | http://epydoc.sf.net